<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
  				
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td>
	            	<table cellpadding="0" cellspacing="0" border="0" height="26" width="101">
	            		<tr>
	            			<td class="menuitemactive" width="100%" style="background-image: url('images/menuitemactive.gif'); background-repeat: repeat-x;"><a class="menuitemactive" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	            			<td class="menumarkactive"><a href="{@HREF}"><img src="images/mark_active.gif" width="16" height="11" border="0" alt=""/></a></td>
	            		</tr>
	            	</table>				
				</td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
				<td>
	            	<table cellpadding="0" cellspacing="0" border="0" height="26" width="101">
		            	<tr>
			            	<td class="menuitem" width="100%"><a class="menuitem" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			            	<td class="menumark"><a href="{@HREF}"><img src="images/mark.gif" width="16" height="11" border="0" alt=""/></a></td>
			            	<td></td>
		            	</tr>
	            	</table>
				</td>					
            </xsl:otherwise>
        </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img src="images/menudivide.gif" width="1" height="26" border="0" alt=""/></td>
  		</xsl:if>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<table cellpadding="0" cellspacing="0" border="0" width="100%" class="secondmenuitemactive" style="background-image: url('images/2ndmenu_active.gif'); background-position: left top; background-repeat: repeat-y;">
   				<tr>
   					<td width="100%" class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
   					<td><img src="images/2ndmenu_arrow.gif" width="28" height="5" border="0" alt=""/></td>
   				</tr>
   				<tr><td colspan="2" class="secondmenudivider" style="background-image: url('images/2ndmenu_divider.gif'); background-position: top left; background-repeat: no-repeat;"></td></tr>
   				</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    				<table cellpadding="0" cellspacing="0" border="0" width="100%">
    				<tr>
    					<td width="100%" class="secondmenuitem"><a class="secondmenuitem" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    					<td><a href="{@HREF}"><img src="images/2ndmenu_arrow.gif" width="28" height="5" border="0" alt=""/></a></td>
    				</tr>
    				<tr><td colspan="2" class="secondmenudivider" style="background-image: url('images/2ndmenu_divider.gif'); background-position: top left; background-repeat: no-repeat;"></td></tr>
    				</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
