<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- transport-001 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<body bgcolor="#F4F5F9" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg.gif);background-repeat: repeat-x;background-position: left top;">
  <tr>
    <td style="width:60;"></td>
    <td height="100%" valign="top"><div align="center">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="131" align="left" valign="top" style="background-image: url(images/bg_head2.gif);background-repeat: repeat-x;background-position: right top;"><table style="background-image: url(images/menu_bg.gif);background-repeat: no-repeat;background-position: left top;" width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="40"></td>
            </tr>
            <tr>
              <td align="center" valign="top"><table  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="20"></td>
						<xsl:call-template name="TOP-MENU"/>  
                  <td width="20"></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
        <tr>
          <td width="100%" height="100%" valign="top" style="background-image: url(images/bg_logo.gif);background-repeat: no-repeat;background-position: left top;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr> 
                <td width="200" valign="top"><img src="images/menu_thin_line_200.gif" width="200" height="1"/>
                  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td align="center" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                        </tr>
                        <tr>
                          <td class="company" align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                        </tr>
                        <tr>
                          <td class="slogan" align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                        </tr>
                      </table></td>
                      </tr>
                    <tr>
                      <td align="left" valign="top"><span class="pageContent"><img src="images/space.gif" width="100" height="30"/></span>
					    <table width="166"  border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr align="left" valign="top">
                          <td><img src="images/left_1.gif" width="166" height="7"/></td>
                          </tr>
                        <tr align="left" valign="top">
                          <td><img src="images/sumenu_1.gif" width="166" height="19"/></td>
                          </tr>
                        <tr>
                          <td height="10" background="images/sumenu_bg.gif"><table width="130"  border="0" align="center" cellpadding="0" cellspacing="0">
                              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                          </table></td>
                          </tr>
                        <tr align="left" valign="top">
                          <td><img src="images/sumenu_2.gif" width="166" height="24"/></td>
                          </tr>
                        <tr align="left" valign="top">
                          <td><img src="images/left_2.gif" width="167" height="7"/></td>
                          </tr>
                      </table></td>
                      </tr>
                  </table></td>
                <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr> 
                      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td align="left" valign="top" background="images/bg_head.gif"><img src="images/headers.gif" width="573" height="211"/></td>
                          </tr>
                        </table></td>
                    </tr>
                    <tr>
                      <td height="100%" align="left" valign="top" style="padding: 30px;"><img src="images/space.gif" width="100" height="10"/>
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td  class="text-header" style="padding-top:3px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            </tr>
                          </table>
                          <br/>
                          <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="pageContent">
                            <tr>
                              <td height="100%" valign="top" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                            </tr>
                        </table></td>
                    </tr>
                    <tr> 
                      <td>
                      </td>
                    </tr>
                    <tr>
                      <td align="left"><table  border="0" align="left" cellpadding="0" cellspacing="0">
                        <tr>
                          <td width="20"></td>
                         <xsl:call-template name="BOTTOM-MENU"/>
                          <td width="20"></td>
                        </tr>
                      </table></td>
                    </tr>
                    <tr>
                      <td align="left" height="30" class="copyright" style="padding-left:30px;padding-right:30px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                    </tr>
                  </table></td>
              </tr>
            </table></td>
        </tr>
      </table>
	</div></td>
    <td background="images/bg_right.gif" style="width:60;"></td>
  </tr>
</table>
</body>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td background="images/sumenua_bg.gif" class="iconleft"><img src="images/menu_icon.gif" width="8" height="11"/></td>
<td background="images/sumenua_bg.gif" class="smenu"><span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="iconleft"><img src="images/menu_icon.gif" width="8" height="11"/></td>
<td class="smenu"><a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr><td height="2" colspan="2" background="images/sumenu_line.gif"></td></tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td valign="middle" align="left"><img src="images/buttom_icon.gif" width="5" height="5"/></td>
        <td class="bmenu" style="padding-left:12px;padding-right:12px;"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td valign="middle" align="left"><img src="images/buttom_icon.gif" width="5" height="5"/></td>
        <td class="bmenu" style="padding-left:12px;padding-right:12px;"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
